Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGColorProfileRule

All Superinterfaces:
  org.w3c.dom.css.CSSRule, SVGCSSRule, SVGRenderingIntent

public interface SVGColorProfileRule
extends SVGCSSRule, SVGRenderingIntent

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGCSSRule
`COLOR_PROFILE_RULE`

Fields inherited from interface org.w3c.dom.css.CSSRule
`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

Fields inherited from interface org.w3c.dom.svg.SVGRenderingIntent
`RENDERING_INTENT_ABSOLUTE_COLORIMETRIC, RENDERING_INTENT_AUTO, RENDERING_INTENT_PERCEPTUAL, RENDERING_INTENT_RELATIVE_COLORIMETRIC, RENDERING_INTENT_SATURATION, RENDERING_INTENT_UNKNOWN`

Method Summary
`java.lang.String` | `getName()`
`short` | `getRenderingIntent()`
`java.lang.String` | `getSrc()`
`void` | `setName(java.lang.String name)`
`void` | `setRenderingIntent(short renderingIntent)`
`void` | `setSrc(java.lang.String src)`

Methods inherited from interface org.w3c.dom.css.CSSRule
`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

Method Detail

### getSrc

    public java.lang.String getSrc()

### setSrc

    public void setSrc(java.lang.String src)
                throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)
                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getRenderingIntent

    public short getRenderingIntent()

### setRenderingIntent

    public void setRenderingIntent(short renderingIntent)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.